# ik_irrKlangTypes.h File Reference

`#include <wchar.h>`

Go to the source code of this file.

## Namespaces
namespace | irrklang

| Everything in the irrKlang Sound Engine can be found in this namespace.
## Typedefs
typedef unsigned char | irrklang::ik_u8
| 8 bit unsigned variable.
typedef signed char | irrklang::ik_s8
| 8 bit signed variable.
typedef char | irrklang::ik_c8
| 8 bit character variable.
typedef unsigned short | irrklang::ik_u16
| 16 bit unsigned variable.
typedef signed short | irrklang::ik_s16
| 16 bit signed variable.
typedef unsigned int | irrklang::ik_u32
| 32 bit unsigned variable.
typedef signed int | irrklang::ik_s32
| 32 bit signed variable.
typedef float | irrklang::ik_f32
| 32 bit floating point variable.
typedef double | irrklang::ik_f64
| 64 bit floating point variable.
## Functions
bool | irrklang::equalsfloat (const ik_f32 a, const ik_f32 b, const ik_f32 tolerance=IK_ROUNDING_ERROR_32)
## Variables
const ik_f32 | irrklang::IK_ROUNDING_ERROR_32 = 0.000001f
const ik_f64 | irrklang::IK_PI64 = 3.1415926535897932384626433832795028841971693993751
const ik_f32 | irrklang::IK_PI32 = 3.14159265359f
const ik_f32 | irrklang::IK_RADTODEG = 180.0f / IK_PI32
const ik_f32 | irrklang::IK_DEGTORAD = IK_PI32 / 180.0f
const ik_f64 | irrklang::IK_RADTODEG64 = 180.0 / IK_PI64
const ik_f64 | irrklang::IK_DEGTORAD64 = IK_PI64 / 180.0

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)